Backport Thunderbird 78 to 20.04 LTS and 18.04 LTS

Bug #1895643 reported by Timo Jyrinki on 2020-09-15
178
This bug affects 29 people
Affects Status Importance Assigned to Milestone
enigmail (Ubuntu)
Wishlist
Olivier Tilloy
Bionic
Undecided
Unassigned
Focal
Wishlist
Olivier Tilloy
jsunit (Ubuntu)
Bionic
Wishlist
Olivier Tilloy
Focal
Wishlist
Olivier Tilloy
thunderbird (Ubuntu)
Wishlist
Olivier Tilloy
Bionic
Wishlist
Olivier Tilloy
Focal
Wishlist
Olivier Tilloy
Groovy
Wishlist
Olivier Tilloy
tinyjsd (Ubuntu)
Focal
Wishlist
Olivier Tilloy

Bug Description

Upstream Thunderbird version 78.2.2 should be a candidate for backporting to stable Ubuntu releases.

I've successfully built 78.2.1 against both with forcing nodejs version (20.04, 18.04) and disabling AV1 support due to too old nasm (18.04). Attaching debdiffs here.

Revision history for this message
Timo Jyrinki (timo-jyrinki) wrote :
Revision history for this message
Timo Jyrinki (timo-jyrinki) wrote :
tags: added: patch
Revision history for this message
Olivier Tilloy (osomon) wrote :

Thanks Timo for test-building thunderbird 78 for bionic and focal.
Given that 78 is a major new version, I was waiting for the dust to settle before backporting. Now that 78.3.0 is out, it seems to time is right to work on this.

Changed in thunderbird (Ubuntu):
assignee: nobody → Olivier Tilloy (osomon)
status: New → Confirmed
Revision history for this message
Fernando (fmuro) wrote :

GContactSync, which is the only working extension recommended by Thunderbird to sync Google contacts (https://support.mozilla.org/en-US/kb/thunderbird-and-gmail), doesn't work yet in version 78 (https://github.com/jdgeenen/gcontactsync/issues/163). An upgrade to 78 may lead to unexpected breakage for many.

Changed in thunderbird (Ubuntu):
status: Confirmed → In Progress
Revision history for this message
Lukas Wiest (lukas-wiest) wrote :

Hi,

If I could give an opinion from users perspective to this backport:
I'm using 20.04 focal. My setup ist Thunderbird 68 + Enigmail + OpenPGP.
With the Thunderbird 78 update users have to change their workflow.

A few examples:
User has disabled encryption per default, as most of it's recipients don't use encryption.
If the keyring contains a key for all recipients, enigmail automatically enables encryption.
This behavior is not possible with TB 78, you either have it enabled by default or not.

Keys inside TB keyring don't have passphrases. To secure them, you have to set a master password for the keyring, which disables you to just look at some mailing lists, newletters, whatsoever without typing the keyring password. (workaround is to use for the private key an external keyring key)

TB 78 doesn't offer the same capabilities (e.g. to alter your private keys to add another identity), as the old setup with TB 68 + Enigmail. If it would be just to port all keys to the internal keyring and everything else would be available as before (function wise, a few optical changes would not be problematic, as long as the functionality would be equal), fine.
But that's not the case.

Therefore I'd ask to take this into consideration updating the main thunderbird package in 20.04 and 18.04, as it surely will force those using encryption yet, to investigate how to replace their old setup.
Maybe an option could be to provide the backport as a new package like thunderbird-78?

Greetings, Lukas

Revision history for this message
Olivier Tilloy (osomon) wrote :

Thanks for your input Lukas. Your points are valid, and others share your concerns with the replacement of enigmail by a built-in implementation that doesn't use the system keyring.

Unfortunately thunderbird 68 won't be supported with security updates for much longer, definitely not for the remaining lifespan of Ubuntu 18.04 and 20.04. So the upgrade to 78 isn't avoidable.

Revision history for this message
Timo Jyrinki (timo-jyrinki) wrote :

Indeed security updates will force the move to 78 sooner or later. I'm myself a happy user of 78 nowadays but can understand the Enigmail change will cause grey hairs even if most of the little bugs have been fixed.

In my case, I think I upgraded when 78.2.2 was out, I needed to tinker a bit before I realized I needed to manually go to Manage Identities of my account and select my key there for each ddress before my setup was complete. The upgrade didn't automatically enable using the OpenPGP key associated with the e-mail addresses other than the account's main one.

Here are some resources to read through just in case people find this bug when they encounter the migration:

- Enigmail's own message (2019-10): https://enigmail.net/index.php/en/home/news/70-2019-10-08-future-openpgp-support-in-thunderbird
- Thunderbird team's message (2020-09): https://blog.thunderbird.net/2020/09/openpgp-in-thunderbird-78/
- A comprehensive FAQ: https://support.mozilla.org/en-US/kb/openpgp-thunderbird-howto-and-faq
- Migration guide in wiki: https://wiki.mozilla.org/Thunderbird:OpenPGP:Migration-From-Enigmail
- Discussion forum: https://thunderbird.topicbox.com/groups/e2ee
- Security analysis in Tails: https://gitlab.tails.boum.org/tails/tails/-/issues/17147
- Interesting related feature requests to follow:
  * https://bugzilla.mozilla.org/show_bug.cgi?id=1654893 "Support configuration with an offline primary OpenPGP key"
  * https://bugzilla.mozilla.org/show_bug.cgi?id=1644085 "Support automatic multiparty encryption, similar to groups in GnuPG or Per-Recipient Rules in Enigmail"

Revision history for this message
Lukas Wiest (lukas-wiest) wrote :

I already assumed that would be the case^^
Thank you for the links Timo (y)

Revision history for this message
Jimmy K (jimmyk1278) wrote :

Olivier. Thank you for working on this.

Do you have any ETA when it will be released?

Revision history for this message
Sebastien Bacher (seb128) wrote :

The current 78 version is also available as a snap for those who would like to try it now without having to wait for the deb update

Revision history for this message
Martin Dünkelmann (nc-duenkekl3) wrote :

Or this ppa
https://launchpad.net/~mozillateam/+archive/ubuntu/ppa
To avoid snap and its problems

Revision history for this message
Olivier Tilloy (osomon) wrote :

Thunderbird 78.5.0 is now available in focal-proposed for wider testing.
See https://wiki.ubuntu.com/Testing/EnableProposed on how to enable updates from focal-proposed.
Everyone interested, please test and share your feedback here, especially on how the transition from 68 to 78 goes. Thanks!

Revision history for this message
Olivier Tilloy (osomon) wrote :

Note that this update in focal-proposed goes together with enigmail 2:2.2.4-0ubuntu0.20.04.1, also in focal-proposed. If you're using enigmail, be sure to install both updates together.

Revision history for this message
Jimmy K (jimmyk1278) wrote :

Thanks Olivier. The guide refers to archive.ubuntu.com which does not have focal-proposed. I changed the mirror to archive.canonical.com. Works great, no issues with the install. No problems with the transition from 68.

Revision history for this message
Jimmy K (jimmyk1278) wrote :

Sorry. http://debian.lth.se/ubuntu was used as mirror - not canonical.

Revision history for this message
Olivier Tilloy (osomon) wrote :

Jimmy, the guide is correct. The line in your sources.list should look something like that:

    deb http://archive.ubuntu.com/ubuntu/ focal-proposed main universe

Please note that it is safer to selectively update the packages you are interested in (in this case, thunderbird* and possibly enigmail) and then comment out again that line, to avoid pulling in all of focal-proposed, with unrelated updates.

Revision history for this message
Francois Thirioux (fthx) wrote :

Another concern:
https://github.com/kewisch/gdata-provider/issues
this very common addon that manages Google Calendar does not always show Google calendars at TB startup. It's not snap nor Ubuntu nor Linux related. There are numerous similar bug reports.
Another one with task creation:
https://github.com/kewisch/gdata-provider/issues/110

I know Ubuntu is promoting GNOME Calendar but using former Lightning one is very common.

Revision history for this message
Lukas Wiest (lukas-wiest) wrote :

@Oliver I've upgraded mine now.

For me (with researching beforehand yet) the transition was a five minute thing.
The downsides described above stay of course, but that's not Ubuntu's fault.

But for others if they stumble across this, my setup has changed in the following points:
 - I've set sign+encrypt as default. This forces me to always explicitly disable it, if I send someone an email who doesn't use encryption. (automatism by email-match missing).
 - On the migration assistant from enigmail to port your keys, I canceled all passphrase requests, as I didn't want my private keys to be in the TB keyring. This way I got all public keys ported, but none of the private ones.
 - then checked with `gpg --list-secret-keys --keyid-format long` for private keys, and added for each account the correct external gnupg keyid (important: you need to use the encryption keyid, not the signing key one)
Background: As long as you don't set a master password for the TB keyring, your private keys would be stored unsecured on your disk.

P.S: For the privacy concerned people in general: There's a site called privacy manual, which provides a user.js for TB 78 setting a bunch of configs regarding security and privacy.
It's only available in german, but maybe interesting anyway:
https://privacy-handbuch.de/handbuch_31p.htm

Changed in thunderbird (Ubuntu Bionic):
importance: Undecided → Wishlist
Changed in thunderbird (Ubuntu Focal):
importance: Undecided → Wishlist
Changed in thunderbird (Ubuntu Groovy):
importance: Undecided → Wishlist
Changed in thunderbird (Ubuntu Bionic):
assignee: nobody → Olivier Tilloy (osomon)
assignee: Olivier Tilloy (osomon) → nobody
Changed in thunderbird (Ubuntu Focal):
assignee: nobody → Olivier Tilloy (osomon)
Changed in thunderbird (Ubuntu Groovy):
assignee: nobody → Olivier Tilloy (osomon)
Changed in thunderbird (Ubuntu):
status: In Progress → Fix Released
Changed in thunderbird (Ubuntu Groovy):
status: New → Fix Released
Changed in thunderbird (Ubuntu Focal):
status: New → Fix Committed
Revision history for this message
Timo Jyrinki (timo-jyrinki) wrote :

Noted current status for different versions.

For 20.04 it's currently stuck in proposed with autopkgtest failures: https://people.canonical.com/~ubuntu-archive/proposed-migration/focal/update_excuses.html#thunderbird

enigmail is there, sort of naturally, but also jsunit which Debian has now removed from unstable: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=974083

Olivier Tilloy (osomon) on 2020-12-10
Changed in thunderbird (Ubuntu Bionic):
status: New → Incomplete
status: Incomplete → Triaged
assignee: nobody → Olivier Tilloy (osomon)
Revision history for this message
Olivier Tilloy (osomon) wrote :

The enigmail autopkgtests have been retried with the correct trigger, and are now good.

jsunit and tinyjsd were removed from the archive in groovy, and I'm talking to the SRU team to decide the best course of action in focal.

Revision history for this message
xiconfjs (xiconfjs) wrote :

Thanks for your work so far. Please settle on TB 78.5.1 [1] (and not just 78.5.0) because it's got a highly requested "feature":

"OpenPGP: Added option to disable email subject encryption"

It would be better, of course, to aim for the latest version "78.6.0" but that's just a nitpick ;)

Thanks & keep up your good work!
xiconfjs

[1] https://www.thunderbird.net/en-US/thunderbird/78.5.1/releasenotes/

Revision history for this message
Martin Dünkelmann (nc-duenkekl3) wrote :
Revision history for this message
gruberm (gruberm) wrote :

Any progress?
I'm having a hard time to understand what's preventing the upgrade to TB78.

Revision history for this message
gruberm (gruberm) wrote :
Revision history for this message
Richard Muller (richy80) wrote :

@osomon: I'd also kindly ask for more information on what's blocking this update. Thunderbird version 68 - which is the standard mail solution shipping with Ubuntu 20.04 right now - is over 6.5 months old. The upstream version got numerous security fixes over the last half year. Doesn't feel good to have to rely on software for communications that stopped getting updates for such a long time. I really don't want to be pushy, because I know Ubuntu is free software, but I'd like to express my worries that this for many users important question (current versions of browser and mail) doesn't have the focus it should have.

Revision history for this message
Simon Iremonger (ubuntu-iremonger) wrote :

This appears to be imminent update-release for groovy and focal users, packages available:-
https://launchpad.net/~ubuntu-mozilla-security/+archive/ubuntu/ppa/+packages

Apparently, 'fix committed' in part, which presumably means focal-proposed package now here:-
https://bugs.launchpad.net/ubuntu/focal/+source/thunderbird/+bug/1895643

Revision history for this message
xiconfjs (xiconfjs) wrote :

@ubuntu-iremonger: Do you have any news about Bionic (18.04) updates for thunderbird? It looks like that even the mozilla team is no longer supporting the 68.* version tree (last update august 2020) so will there be backports from the ubuntu team or are we going to move to 78.*?

Revision history for this message
Olivier Tilloy (osomon) wrote :

Note that the update to thunderbird 78 breaks tinyjsd and jsunit.

From TinyJSD's homepage¹:

  « Note: due to the massive and rapid changes in the Mozilla Platform, TinyJSD is no longer actively maintained. The last version supports Thunderbird 60/SeaMonkey 2.57. We recommend to use the standard Developer Tools that are shipped with Thunderbird. »

From the enigmail-users mailing list²:

  « I did not port JSUnit to TB 78. »

Consequently, in the update I have marked thunderbird as breaking tinyjsd and jsunit, and replacing tinyjsd.

thunderbird 78.5.0 currently in focal-proposed is blocked¹:

  ◦ Issues preventing migration:
  ◦ autopkgtest for jsunit/0.2.2-2: amd64: Regression ♻ , arm64: Regression ♻ , armhf: Regression ♻ , i386: Ignored failure, ppc64el: Regression ♻ , s390x: Not a regression
  ◦ migrating thunderbird/1:78.5.0+build3-0ubuntu0.20.04.1/amd64 to testing makes tinyjsd/1.2+git1-1/amd64 uninstallable

I would welcome help from the SRU team to decide the best course of action to unblock this situation.

¹ https://sourceforge.net/u/pbrunschwig/tinyjsd/wiki/Home/
² https://<email address hidden>/msg05251.html
³ https://people.canonical.com/~ubuntu-archive/proposed-migration/focal/update_excuses.html#thunderbird

Revision history for this message
Richard Muller (richy80) wrote :

@osomon: I already saw the proposed link but anyway thanks for summing up the situation.

From my (user) perspective I like and absolutely agree with the ubuntu principle of not breaking things in favor of chasing higher version numbers but I only see one way out of this dilemma: 'Dropping' those two packages as soon as possible because from your links it seems obvious that they will never be interoperable with newer Thunderbird versions than 68. Has there been any progress in the 50 days since your update got blocked?

Looks to me more like a communication problem than a technical problem. Does the SRU team even know that we are desperately waiting for any action from their side?

Is there anything else you (or we?) could do to get this ball rolling?

Thanks for your time, Olivier!

Revision history for this message
Olivier Tilloy (osomon) wrote :

For the record, I talked to Robie who is on the SRU team, and he said:

 « IMHO, I think that breaking the other packages to bump Thunderbird is inevitable. Technically I don't think that's within the remit of the SRU team - it's a TB thing. I think we should figure out how to mitigate as much as possible, document and publicise the breakage as best as we can, then break it. »

We went on to discuss how "apt upgrade" would behave (vs "apt dist-upgrade"), I tested and I observed that "apt upgrade" wouldn't proceed to the upgrade as it doesn't remove broken packages.
The "Software Updater" GUI however does the right thing, even if the UX will be slightly unusual for most users (assuming they have tinyjsd or jsunit installed): it will first warn that "Not all updates can be installed", and propose a partial upgrade, which does the right thing, warning that it's going to remove two packages (tinyjsd and jsunit) and upgrade 5 packages (thunderbird*), and offering to proceed.

We agreed that I would bring up the topic with the technical board on their mailing list.

Revision history for this message
Richard Muller (richy80) wrote :

Thank you, Olivier!

For those who want to stay up to date - the respective mail thread is here:
https://lists.ubuntu.com/archives/technical-board/2021-January/thread.html

Revision history for this message
Robie Basak (racb) wrote :

I think thunderbird needs a versioned Breaks on tinyjsd and jsunit now, right? And also, shouldn't it have a versioned Breaks on enigmail (and vice versa) to ensure that the new enigmail is updated in lockstep with Thunderbird?

Revision history for this message
Olivier Tilloy (osomon) wrote :

Robie you're right, I'll add these versioned Breaks.

Revision history for this message
Rolando Gorgs (rolandogorgs) wrote :

I have been watching this issue for several months and am excited that it is finally moving forward. It looks to me like all the organizational details have now been resolved. What's still holding us back from getting the latest Thunderbird?

Revision history for this message
Richard Muller (richy80) wrote :

Another 10 days without visible movement. Meanwhile the Thunderbird guys released version 78.7. but we are still stuck at Thunderbird 68. :-(

Revision history for this message
Olivier Tilloy (osomon) wrote :

To unblock the upgrade, the technical board has confirmed that it is acceptable to SRU empty updates for tinyjsd and jsunit. The process is documented at https://wiki.ubuntu.com/StableReleaseUpdates#Package_Removals.

Revision history for this message
Sebastien Bacher (seb128) wrote :

While the situation is being sorted out, just a reminder that those who want to try the current version can easily 'snap install thunderbird' to get it

Revision history for this message
Frederik Feichtmeier (frederik-feichtmeier) wrote :

I can really recommend to use the thunderbird snap, works fantastically good.

Revision history for this message
Olivier Tilloy (osomon) wrote :
Revision history for this message
Konstantin (list-kseiler) wrote :

The Thunderbird Snap isn't really a great option because it struggles to integrate well with the rest of the OS due to all kind of Snap limitations. (E.g. https://bugs.launchpad.net/bugs/1903805)

Revision history for this message
Rolando Gorgs (rolandogorgs) wrote :

Konstantin is right. I'm also using the snap for now but for different reasons this is not a good solution for beginners - like my parents for example.

Revision history for this message
David R. Bergstein (dbergst) wrote :
Revision history for this message
Rolando Gorgs (rolandogorgs) wrote :

At Fosdem 21 conference it was announced that next summer Thunderbird 91 will be released, which again will include fundamental changes. My impression is that this time many months have been wasted because of unclear procedures and responsibilities - not because of unsolvable technical problems. (I hope we will see Thunderbird 78 before version 91 is out... - just kidding)

@osomon: Thank you Olivier for taking care of this issue.
Would you please write a short post mortem after the successful backport, where the difficulties have been, what steps to take and what responsible persons to contact to solve such a situation in future? This will definitely not be the last major Thunderbird update that needs to be back ported to LTS.

Revision history for this message
Simon Iremonger (ubuntu-iremonger) wrote :

Although in this bug, marked 'fix committed' for focal a while now, I can't find the new thunderbird package in either focal-proposed nor focal-security . Also not shown on https://launchpad.net/ubuntu/focal/+queue .... Any ideas? -- be useful to see what package queues/links should be known about, and in any case, what happened to the committed fix.
With thanks!.

Revision history for this message
Olivier Tilloy (osomon) wrote :

The update is now sitting in the focal-proposed unapproved queue, and is being carefully reviewed by the SRU team. Please bear with us while we work to ensure the upgrade goes smoothly for everyone.

Revision history for this message
Olivier Tilloy (osomon) wrote :

For future reference, a rationale and summary have been shared on Ubuntu's discourse: https://discourse.ubuntu.com/t/thunderbird-lts-update/20819.

Revision history for this message
xiconfjs (xiconfjs) wrote :

Hi @osomon,

happy to see there is progress with TB and 20.04 ("We’ve decided to update Thunderbird in Ubuntu 20.04 from 68.x to 78.x. This is a major version update. [1]). And as the title of the discourse states it's about the LTS version, does this mean the 78.x version tree is also coming to Ubuntu 18.04 (which by definition [2] is also a LTS version) ?

Thanks

[1] https://discourse.ubuntu.com/t/thunderbird-lts-update/20819
[2] https://wiki.ubuntu.com/Releases

Revision history for this message
Olivier Tilloy (osomon) wrote :

Indeed, once focal is updated, bionic is next in line. The status of the corresponding bug task will be updated accordingly.

Revision history for this message
Simon Iremonger (ubuntu-iremonger) wrote :

For those curious, focal unapproved-queue is here:-
https://launchpad.net/ubuntu/focal/+queue?queue_state=1
I notice on the linked ubuntu security team ppa, now is 78.7.1+build1-0ubuntu0.20.04.1 in fact...

Revision history for this message
Robie Basak (racb) wrote : Please test proposed package

Hello Timo, or anyone else affected,

Accepted thunderbird into groovy-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/thunderbird/1:78.7.1+build1-0ubuntu0.20.10.4 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-groovy to verification-done-groovy. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-groovy. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in thunderbird (Ubuntu Groovy):
status: Fix Released → Fix Committed
tags: added: verification-needed verification-needed-groovy
tags: added: verification-needed-focal
Revision history for this message
Robie Basak (racb) wrote :

Hello Timo, or anyone else affected,

Accepted tinyjsd into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/tinyjsd/1.2+git1-1ubuntu2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in tinyjsd (Ubuntu Groovy):
status: New → Invalid
Changed in tinyjsd (Ubuntu Focal):
status: New → Fix Committed
Changed in jsunit (Ubuntu Groovy):
status: New → Invalid
Changed in jsunit (Ubuntu Focal):
status: New → Fix Committed
Revision history for this message
Robie Basak (racb) wrote :

Hello Timo, or anyone else affected,

Accepted jsunit into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/jsunit/0.2.2-2ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in tinyjsd (Ubuntu):
status: New → Invalid
Changed in jsunit (Ubuntu):
status: New → Invalid
Revision history for this message
Robie Basak (racb) wrote :

Hello Timo, or anyone else affected,

Accepted thunderbird into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/thunderbird/1:78.7.1+build1-0ubuntu0.20.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Olivier Tilloy (osomon) on 2021-02-12
Changed in tinyjsd (Ubuntu Bionic):
status: New → Invalid
Revision history for this message
Ubuntu SRU Bot (ubuntu-sru-bot) wrote : Autopkgtest regression report (jsunit/0.2.2-2ubuntu1)

All autopkgtests for the newly accepted jsunit (0.2.2-2ubuntu1) for focal have finished running.
The following regressions have been reported in tests triggered by the package:

enigmail/2:2.1.6+ds1-1 (ppc64el, amd64, armhf, arm64)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/focal/update_excuses.html#jsunit

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

Revision history for this message
Richard Muller (richy80) wrote :

I enabled focal-proposed on my testing machine (amd64), updated thunderbird to 1:78.7.1+build1-0ubuntu0.20.04.1 and all went exactly as expected. Thunderbird 78 runs fine so far. No bugs found here. After that I installed tinyjsd and jsunit (not installed before) and also got the expected notice about empty packages.

For focal everything seems to be smooth from my side. Have to admit that I don't use PGP. So feedback from that side would be nice too.

Revision history for this message
Rolando Gorgs (rolandogorgs) wrote :

I can confirm that the new PGP solution is working flawlessly in thunderbird 1:78.7.1+build1-0ubuntu0.20.04.1.

I personally don't _like_ this new integrated pgp approach but it works as intended. Hope there will be more enigmail feeling soon but well, this back port seems to be ready for production.

I've tested this on a virtualbox vm with ubuntu 20.04.1 and focal-proposed enabled.

Mathew Hodson (mhodson) on 2021-02-15
no longer affects: jsunit (Ubuntu)
no longer affects: jsunit (Ubuntu Groovy)
no longer affects: tinyjsd (Ubuntu)
no longer affects: tinyjsd (Ubuntu Bionic)
no longer affects: tinyjsd (Ubuntu Groovy)
tags: added: upgrade-software-version
Changed in jsunit (Ubuntu Bionic):
importance: Undecided → Wishlist
Changed in jsunit (Ubuntu Focal):
importance: Undecided → Wishlist
Changed in tinyjsd (Ubuntu Focal):
importance: Undecided → Wishlist
Olivier Tilloy (osomon) on 2021-02-15
Changed in jsunit (Ubuntu Focal):
assignee: nobody → Olivier Tilloy (osomon)
Changed in tinyjsd (Ubuntu Focal):
assignee: nobody → Olivier Tilloy (osomon)
Revision history for this message
Olivier Tilloy (osomon) wrote :

This is the verification work I did from a package management perspective, to verify correctness and consistency in a variety of scenarii:

1) In a fully up-to-date focal VM with enigmail, jsunit and tinyjsd installed, I enabled focal-proposed and updated:
    - from a terminal with `apt dist-upgrade`, debconf ncurses dialogs were displayed to notify of the removal of tinyjsd and jsunit from the archive
    - from the GUI (update-manager), debconf GTK dialogs were displayed

2) In a fully up-to-date groovy VM with enigmail installed, I enable groovy-proposed:
    - if jsunit and tinyjsd had been manually installed from focal-proposed (i.e. they are empty packages), they are not removed
    - if jsunit and tinyjsd had been manually installed from focal (release), they are removed with the upgrade

3) In a focal chroot without focal-updates, with enigmail, jsunit and tinyjsd installed, I hand-edited /etc/apt/sources.list to upgrade to groovy with groovy-updates and groovy-proposed and verified that jsunit and tinyjsd were being removed as expected.

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package thunderbird - 1:78.7.1+build1-0ubuntu0.20.10.4

---------------
thunderbird (1:78.7.1+build1-0ubuntu0.20.10.4) groovy; urgency=medium

  * No-change rebuild to add SRU bug reference (LP: #1895643)

thunderbird (1:78.7.1+build1-0ubuntu0.20.10.3) groovy; urgency=medium

  * Update cbindgen to 0.17.0
    - debian/build/create-tarball.py
  * Add versioned breaks on tinyjsd and jsunit to ensure they are removed when
    upgrading from focal to groovy (these packages were removed from the
    archive in groovy)
    - debian/control{,.in}

thunderbird (1:78.7.1+build1-0ubuntu0.20.10.2) groovy; urgency=medium

  * Add a versioned Breaks declaration on enigmail, for a smooth upgrade
    - debian/control{,.in}

thunderbird (1:78.7.1+build1-0ubuntu0.20.10.1) groovy; urgency=medium

  * New upstream stable release (78.7.1build1)

  * Update cbindgen to 0.17.0
    - debian/build/create-tarball.py

thunderbird (1:78.7.0+build2-0ubuntu0.20.10.1) groovy; urgency=medium

  * New upstream stable release (78.7.0build2)

 -- Olivier Tilloy <email address hidden> Fri, 12 Feb 2021 15:21:49 +0100

Changed in thunderbird (Ubuntu Groovy):
status: Fix Committed → Fix Released
Olivier Tilloy (osomon) on 2021-02-16
tags: added: verification-done-focal
removed: verification-needed-focal verification-needed-groovy
Mathew Hodson (mhodson) on 2021-02-17
tags: removed: verification-needed
Changed in jsunit (Ubuntu Bionic):
status: New → Confirmed
Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (4.7 KiB)

This bug was fixed in the package thunderbird - 1:78.7.1+build1-0ubuntu0.20.04.1

---------------
thunderbird (1:78.7.1+build1-0ubuntu0.20.04.1) focal; urgency=medium

  * New upstream stable release (78.7.1build1)

  * debian/control{,.in}: remove the "Replaces: tinyjsd" declaration, the
    versioned Breaks is enough to ensure a clean upgrade

thunderbird (1:78.7.0+build2-0ubuntu0.20.04.4) focal; urgency=medium

  * No-change rebuild to make sure all the relevant changelog entries are
    included in the uploaded changes file.

thunderbird (1:78.7.0+build2-0ubuntu0.20.04.3) focal; urgency=medium

  * debian/control{,.in}: add missing epoch in the versioned Breaks on enigmail

thunderbird (1:78.7.0+build2-0ubuntu0.20.04.2) focal; urgency=medium

  * debian/control{,.in}:
    - add a versioned break on enigmail << 2.2
    - version the break on jsunit << 0.2.2-2ubuntu1
    - version the break on tinyjsd << 1.2+git1-1ubuntu1

thunderbird (1:78.7.0+build2-0ubuntu0.20.04.1) focal; urgency=medium

  * New upstream stable release (78.7.0build2)

thunderbird (1:78.6.1+build1-0ubuntu0.20.04.1) focal; urgency=medium

  * New upstream stable release (78.6.1build1)

  * Update cbindgen to 0.16.0

thunderbird (1:78.5.1+build1-0ubuntu0.20.04.1) focal; urgency=medium

  * New upstream stable release (78.5.1build1)

thunderbird (1:78.5.0+build3-0ubuntu0.20.04.1) focal; urgency=medium

  * New upstream stable release (78.5.0build3)

  * Allow the use of external GPG keyrings by default
    - debian/vendor.js

thunderbird (1:78.4.2+build1-0ubuntu0.20.04.1) focal; urgency=medium

  * New upstream stable release (78.4.2build1)

  * Remove the deprecated --enable-calendar configure option
    - debian/config/mozconfig.in

thunderbird (1:78.3.2+build1-0ubuntu0.20.04.1) focal; urgency=medium

  * New upstream stable release (78.3.2build1)

thunderbird (1:78.3.1+build1-0ubuntu0.20.04.1) focal; urgency=medium

  * New upstream stable release (78.3.1build1) (LP: #1895643)
    - debian/config/branch.mk
  * Bump build dependency on rustc >= 1.41.0 and cargo >= 0.42
    - debian/control{,.in}
  * Bump build dependency on nodejs >= 10.21
    - debian/control{,.in}
  * Bump build dependency on nasm >= 2.14.02
    - debian/control{,.in}
  * Bump build dependency on debhelper >= 9
    - debian/compat
    - debian/control{,.in}
  * Port packaging to python3
    - debian/build/Expression.py
    - debian/build/Preprocessor.py
    - debian/build/create-tarball.py
    - debian/build/fix-mozinfo-appname.py
    - debian/build/keepalive-wrapper.py
    - debian/build/rules.mk
    - debian/build/xpi-id.py
    - debian/control{,.in}
  * Clean up unused code paths in packaging rules
    - debian/rules
    - debian/build/config.mk
    - debian/config/mozconfig.in
  * Update cbindgen to 0.14.3
    - debian/build/create-tarball.py
  * Build required icudt67b.dat on s390x with /usr/sbin/icupkg
    - debian/build/rules.mk
    - debian/control{,.in}
  * Do not use system-wide sqlite3
    - debian/config/mozconfig.in
    - debian/control{,.in}
  * Work around clang hanging forever when trying to optimize the build of the
    embedded copy of sqlite3 (LP: #1878292)
    - debian/patches/s390x-...

Read more...

Changed in thunderbird (Ubuntu Focal):
status: Fix Committed → Fix Released
Revision history for this message
Robie Basak (racb) wrote : Update Released

The verification of the Stable Release Update for thunderbird has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Changed in thunderbird (Ubuntu Bionic):
status: Triaged → Confirmed
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package jsunit - 0.2.2-2ubuntu1

---------------
jsunit (0.2.2-2ubuntu1) focal; urgency=medium

  * jsunit is unmaintained and hasn't been ported to thunderdird series 78
    (https://<email address hidden>/msg05251.html),
    so it is being removed from the focal archive to allow thunderbird to be
    updated (LP: #1895643)

 -- Olivier Tilloy <email address hidden> Mon, 01 Feb 2021 18:26:27 +0100

Changed in jsunit (Ubuntu Focal):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tinyjsd - 1.2+git1-1ubuntu2

---------------
tinyjsd (1.2+git1-1ubuntu2) focal; urgency=medium

  * Add a rm_conffile instruction for /etc/xul-ext/tinyjsd.js

tinyjsd (1.2+git1-1ubuntu1) focal; urgency=medium

  * tinyjsd is unmaintained and hasn't been ported to thunderdird series 78
    (https://sourceforge.net/u/pbrunschwig/tinyjsd/wiki/Home/), so it is being
    removed from the focal archive to allow thunderbird to be updated
    (LP: #1895643)

 -- Olivier Tilloy <email address hidden> Fri, 12 Feb 2021 15:09:18 +0100

Changed in tinyjsd (Ubuntu Focal):
status: Fix Committed → Fix Released
Revision history for this message
Anton Stötzer (sttzr) wrote :

Now that the new version was released to the "updates" channel I tried a regular Update using the default Ubuntu update-manager GUI. I don't have tinyjsd or jsunit installed so I expected everything to go smoothly.

Instead the update-manager proposes a partial system update to install the thunderbird version and REMOVE the enigmail package (see screenshot).

I suspect, this would not migrate my enigmail keys. If I understood it right there should be a new version for the enigmail package as well, which handles the migration of the encryption keys to the new internal PGP implementation.
Is the update for the enigmail package still stuck somewhere?

@racb posted earlier that the two packages should be updated together:
https://bugs.launchpad.net/ubuntu/+source/thunderbird/+bug/1895643/comments/33

Revision history for this message
Anton Stötzer (sttzr) wrote :

(I'm running Ubuntu 20.04.2 LTS)

Revision history for this message
Robie Basak (racb) wrote :

Hi Anton,

Sorry, I had not also released the enigmail update. I have done that now. Once this gets mirrored out, I think your problem should be fixed. Please let us know.

Revision history for this message
Martin Dünkelmann (nc-duenkekl3) wrote :

Now thunderbird v78.8.0 got available.
I hope it gets also backportet.

Revision history for this message
Anton Stötzer (sttzr) wrote :

Hi Robie,
Thank's a lot – everything updated fine now!

Olivier Tilloy (osomon) on 2021-03-12
Changed in enigmail (Ubuntu):
assignee: nobody → Olivier Tilloy (osomon)
importance: Undecided → Wishlist
status: New → Fix Released
Changed in enigmail (Ubuntu Focal):
status: New → Fix Released
assignee: nobody → Olivier Tilloy (osomon)
importance: Undecided → Wishlist
Olivier Tilloy (osomon) on 2021-03-17
Changed in thunderbird (Ubuntu Bionic):
status: Confirmed → In Progress
Changed in jsunit (Ubuntu Bionic):
assignee: nobody → Olivier Tilloy (osomon)
status: Confirmed → In Progress
Revision history for this message
xiconfjs (xiconfjs) wrote :

Hi @osomon,

what is the latest status on the Ubuntu 18.04 release of thunderbird 78.7.x? Can I/we help in any way?

Thanks
xiconfjs

Revision history for this message
Robie Basak (racb) wrote : Please test proposed package

Hello Timo, or anyone else affected,

Accepted jsunit into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/jsunit/0.2.2-1~ubuntu0.18.04.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in jsunit (Ubuntu Bionic):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-bionic
Changed in enigmail (Ubuntu Bionic):
status: New → Fix Committed
Revision history for this message
Robie Basak (racb) wrote :

Hello Timo, or anyone else affected,

Accepted enigmail into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/enigmail/2:2.2.4-0ubuntu0.18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in thunderbird (Ubuntu Bionic):
status: In Progress → Fix Committed
Revision history for this message
Robie Basak (racb) wrote :

Hello Timo, or anyone else affected,

Accepted thunderbird into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/thunderbird/1:78.8.1+build1-0ubuntu0.18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Revision history for this message
Francisco Pombal (pombal.francisco) wrote :

Thanks for seeing this through, but let me raise some important points.

Why is Thunderbird not covered by the same update policy as Firefox? Sure it's not a web browser, but it's one of the most important and widely used GUI email clients. Also, it is a close cousin of Firefox.

These updates took way too long to come out for LTS releases, and they are/were already obsolete once they did roll out. For example, the 78.9.x and 78.10.x releases are more than a month old at this point, and both contain fixes for "high" severity vulnerabilities:

https://www.mozilla.org/en-US/security/advisories/mfsa2021-12/
https://www.mozilla.org/en-US/security/advisories/mfsa2021-14/

I think Ubuntu should make a greater effort to keep up with Thunderbird upstream.

Revision history for this message
Robie Basak (racb) wrote : Re: [Bug 1895643] Re: Backport Thunderbird 78 to 20.04 LTS and 18.04 LTS

On Tue, May 25, 2021 at 05:51:12PM -0000, Francisco Pombal wrote:
> Thanks for seeing this through, but let me raise some important points.

This isn't the right place to be raising this. Only people subscribed to
the bug will see the conversation here, and that cuts out most of the
relevant people from the conversation. Try
https://discourse.ubuntu.com/.

Revision history for this message
Francisco Pombal (pombal.francisco) wrote :
Revision history for this message
Martin Dünkelmann (nc-duenkekl3) wrote :

That issue finally pushed me to Arch Linux / EndeavourOS after years of delayed package updates in Ubuntu LTS I created issue tickets for ^^

Revision history for this message
Olivier Tilloy (osomon) wrote :

I enabled bionic-proposed in a fully up-to-date bionic amd64 VM with thunderbird, enigmail and jsunit installed.

All three packages were correctly updated and I was warned of the removal of jsunit as expected. After that I was able to cleanly remove jsunit.

After the update thunderbird functioned normally, including the following features: localization (French in my case), calendar, WeTransfer file link, import of existing enigmail settings into Thunderbird's new builtin GPG support.

tags: added: verification-done-bionic
removed: verification-needed-bionic
Mathew Hodson (mhodson) on 2021-05-28
tags: removed: verification-needed
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package thunderbird - 1:78.8.1+build1-0ubuntu0.18.04.1

---------------
thunderbird (1:78.8.1+build1-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream stable release (78.8.1build1) (LP: #1895643)
    - debian/config/branch.mk
  * Bump build dependency on rustc >= 1.41.0 and cargo >= 0.42
    - debian/control{,.in}
  * Bump build dependency on nodejs-mozilla >= 10.21
    - debian/control{,.in}
  * Bump build dependency on nasm-mozilla >= 2.14.02
    - debian/control{,.in}
  * Bump build dependency on debhelper >= 9
    - debian/compat
    - debian/control{,.in}
  * Port packaging to python3
    - debian/build/Expression.py
    - debian/build/Preprocessor.py
    - debian/build/create-tarball.py
    - debian/build/fix-mozinfo-appname.py
    - debian/build/keepalive-wrapper.py
    - debian/build/rules.mk
    - debian/build/xpi-id.py
    - debian/control{,.in}
  * Clean up unused code paths in packaging rules
    - debian/rules
    - debian/build/config.mk
    - debian/config/mozconfig.in
  * Update cbindgen to 0.17.0
    - debian/build/create-tarball.py
  * Work around clang hanging forever when trying to optimize the build of the
    embedded copy of sqlite3 (LP: #1878292)
    - debian/patches/s390x-workaround-sqlite3-clang-optimization-hang.patch
  * Remove obsolete config options
    - debian/config/mozconfig.in
  * Allow sideloading langpacks (LP: #1866059)
    - debian/config/mozconfig.in
  * Make xul-ext-lightning a transitional empty package, now that calendar
    functionality is part of the Thunderbird core
    - debian/build/rules.mk
    - debian/control{,.in}
    - debian/rules
  * Separately installed blocklist.xml was removed
    - debian/thunderbird.install.in
  * Install WeTransfer extension to the features directory
    - debian/thunderbird.install.in
  * Add the following locales: af, en-CA, fa, ja-JP-mac, pa-IN, th
    - update debian/config/locales.{all,shipped}
  * Remove upstreamed patch
    - debian/patches/nss_disable_fips_enabled_flag.patch
  * Update and rename patch to selectively reduce debug info level
    - debian/patches/reduce-rust-debuginfo-on-selected-architectures.patch
  * Refresh patches
    - debian/patches/rust-drop-dll-checksums.patch
    - debian/patches/support-coinstallable-trunk-build.patch
  * Updates patches
    - debian/patches/unity-menubar.patch
  * Cherry-pick 3 upstream commits to fix building ICU on big-endian
    architectures (e.g. s390x)
    - debian/patches/upstream-icu-fixes.patch
  * Add a missing linker flag to build icupkg on s390x
    - debian/patches/s390x-fix-icupkg-build.patch
  * Drop armel arch references
    - debian/control{,.in}
    - debian/build/rules.mk
  * Add generic logic to target different LLVM toolchains
    - debian/config/mozconfig.in
    - debian/control{,.in}
    - debian/build/rules.mk
  * Make thunderbird suggest libotr5
    - debian/control{,.in}
  * Add versioned breaks on enigmail and jsunit
    - debian/control{,.in}
  * Allow the use of external GPG keyrings by default
    - debian/vendor.js

 -- Olivier Tilloy <email address hidden> Wed, 17 Mar 2021 15:37:52 +0100

Changed in thunderbird (Ubuntu Bionic):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package enigmail - 2:2.2.4-0ubuntu0.18.04.1

---------------
enigmail (2:2.2.4-0ubuntu0.18.04.1) bionic; urgency=medium

  * new upstream release for Thunderbird 78 (LP: #1895643)
  * drop a number of obsolete patches
  * remove obsolete autopkgtests
  * depend on thunderbird >= 78.0

 -- Olivier Tilloy <email address hidden> Fri, 12 Mar 2021 16:27:25 +0100

Changed in enigmail (Ubuntu Bionic):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package jsunit - 0.2.2-1~ubuntu0.18.04.2

---------------
jsunit (0.2.2-1~ubuntu0.18.04.2) bionic; urgency=medium

  * jsunit is unmaintained and hasn't been ported to thunderdird series 78
    (https://<email address hidden>/msg05251.html),
    so it is being removed from the bionic archive to allow thunderbird to be
    updated (LP: #1895643)

 -- Olivier Tilloy <email address hidden> Fri, 12 Mar 2021 15:30:55 +0100

Changed in jsunit (Ubuntu Bionic):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers